Skip to main content
GET
/
assets
/
models
/
{resource_uri}
Get Model
curl --request GET \
  --url https://api.example.com/assets/models/{resource_uri} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "resource_uri": "<string>",
  "name": "<string>",
  "litellm_model": "<string>",
  "organization_id": "<string>",
  "project_id": "<string>",
  "owner_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "updated_by": "<string>",
  "description": "<string>",
  "tags": [],
  "provider": "<string>",
  "api_base": "<string>",
  "api_version": "<string>",
  "max_input_tokens": 123,
  "max_output_tokens": 123,
  "rpm": 123,
  "tpm": 123,
  "default_temperature": 123,
  "default_max_tokens": 123,
  "timeout": 123,
  "status_message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Project-ID
string | null

Path Parameters

resource_uri
string
required

Model resource URI

Response

Successful Response

Full model representation.

id
string
required
resource_uri
string
required
name
string
required
litellm_model
string
required
status
enum<string>
required

Status of a model configuration.

Available options:
PENDING,
ACTIVE,
ERROR,
DEPRECATED,
DISABLED
organization_id
string
required
project_id
string
required
owner_id
string
required
deprecated

Deprecated: use created_by instead. Will be removed in a future release.

created_at
string<date-time>
required
updated_at
string<date-time>
required
created_by
string
required
updated_by
string
required
description
string | null
tags
string[]
provider
string | null
api_base
string | null
api_version
string | null
mode
enum<string> | null

Supported model modes.

Available options:
chat,
completion,
embedding,
image_generation,
audio_transcription
max_input_tokens
integer | null
max_output_tokens
integer | null
rpm
integer | null
tpm
integer | null
default_temperature
number | null
default_max_tokens
integer | null
timeout
integer | null
status_message
string | null